Publications
Publish a publication now
POST
/publications/{id}/publish-nowAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Publication ID
Header Parameters
Idempotency-Key?string
Replay key scoped to the caller, Workspace, and operation
Length
length <= 200Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
curl -X POST "https://example.com/publications/string/publish-now" \ -H "Content-Type: application/json" \ -d '{ "expected_revision": 1 }'{ "$schema": "https://example.com/api/v1/schemas/ActionOutputBody.json", "activation_publication_id": "string", "job_id": "string", "message": "string", "publication_id": "string", "renditions": [ { "delivery": { "current_attempt_created_at": "string", "current_attempt_id": "string", "current_attempt_number": 0, "error_code": "string", "error_http_status": 0, "error_kind": "string", "external_id": "string", "external_url": "string", "last_reconciled_at": "string", "next_reconciliation_at": "string", "recovery_action": "none", "state": "string", "target_key": "string", "terminal_reason": "string" }, "id": "string", "platform": "string", "social_account_id": "string", "status": "string", "target_key": "string" } ], "revision": 0, "workspace_activated": true}